<div class="ui four stackable cards">
    <div class="card" *ngFor="let recipe of recipes | async">

    <div class="image"  (click)="onRecipeClick(recipe)">
   <img id="recipe-card-image" src={{recipe.image_url}} onerror="this.onerror=null; this.src='../../assets/default-food-icon.jpg';">

    </div>
    <div class="content">

      <a class="header" (click)="onRecipeClick(recipe)">{{recipe.name}}</a>
      <div class="meta">
        <span class="date">{{recipe.difficulty}}</span>
      </div>
      <div class="description">
        Created by {{recipe.creator}}
      </div>
    </div>

    <div class="extra">
      {{recipe.prep_time_mins}} minutes
    </div>
  </div>
</div>

<app-view-recipe id="view-recipe" *ngIf="show_recipe" [recipe]="clickedRecipe" (closeRecipeEvent)= "closeRecipe()"></app-view-recipe>
